
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%To provide many flux distributions by flux balance analysis (FBA) % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function FBA
clear all
load FBA
tic
[a1,a2]=size(AE4.S);
Aeq=AE4.S;
beq=zeros(a1,1);
options=optimset('LargeScale','off','MaxFunEvals',20000); %optional
for i=1:1:a2
    for j=i       
   f=zeros(a2,1);  
  f(j,1)=1;  
%Vmin
[v_min,fval,exitflug]=linprog(f,[],[],Aeq,beq,lb,ub,[],options);
Vmin{j}=v_min;
%Vmax
f=-1*f;
[v_max,fval,exitflug]=linprog(f,[],[],Aeq,beq,lb,ub,[],options);
Vmax{j}=v_max;
V=[Vmax{:,:},Vmin{:,:}];
v=round(V*100)/100;
Unique_V=unique(v','rows')';
save Flux.mat V Unique_V
   end
end
toc
