

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%EM decomposition to explore the major EMs or linear combinations of EMs% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function cEM

load FBA
load Flux.mat
tic
[a1,a2]=size(AE4.S);
for j=1:1:2*a2
[cEMs, cEMCs]=em_decomp(V(:,j),AE4);
cEM{j}=cEMs;
C{j}=cEMCs;
end
All_cEM=[cEM{:,:}];
E=round(All_cEM*100)/100;
Unique_cEM=unique(E','rows')';
save cEM.mat All_cEM Unique_cEM
toc
end